# Zenity-ren eskuliburua

Zenity mahaigaineko aplikazioaren eskuliburuaren 2.0 bertsioa
2003
2004
Sun Microsystems Inc.
2008.
Hizkuntza Politikarako Sailburuordetza (hizpol@ej.gv.es)
Sun Microsystems Inc.

Baimena ematen da dokumentu hau kopiatu, banatu eta/edo aldatzeko Free Software Foundation-ek argitaratutako GNU Dokumentazio Librearen Lizentziaren 1.1. bertsioan edo berriago batean ezarritako baldintzetan, atal aldaezinik gabe, aurreko azaleko testurik gabe eta atzeko azaleko testurik gabe. GFDL lizentziaren kopia esteka honetan edo eskuliburu honekin batera ematen den COPYING-DOCS fitxategian aurkituko duzu.

Eskuliburu hau GFDL lizentziarekin banatzen diren GNOME eskuliburuen bildumakoa da. Eskuliburu hau bildumatik bereizita banatu nahi baduzu, banatu dezakezu, baina eskuliburuari lizentziaren kopia bat gehitu beharko diozu, lizentzian bertan 6. atalean azaltzen den bezala.

Enpresek beren produktuak eta zerbitzuak bereizteko erabiltzen dituzten izen asko marka erregistratu gisa hartu behar dira. Izen horiek GNOMEren edozein agiritan agertzen direnean, eta GNOMEren Dokumentazio Proiektuko kideak marka komertzialak direla konturatzen direnean, izen horiek osorik maiuskulaz edo hasierako letra maiuskulaz idatzi dituzte.

DOKUMENTUA ETA DOKUMENTUAREN BERTSIO ALDATUAK GNU DOKUMENTAZIO LIBREAREN LIZENTZIAREN BALDINTZEN ARABERA EMATEN DIRA, ETA ONDOREN ZEHAZTEN DIRENAK ONARTZERA BEHARTZEN DUTE:

1. DOKUMENTUA "DAGOEN-DAGOENEAN" EMATEN DA, INOLAKO BERMERIK GABE, EZ ESPRESUKI ADIERAZITAKORIK ETA EZ INPLIZITURIK ERE; BESTEAK BESTE, EZ DA BERMATZEN DOKUMENTUA EDO BERTSIO ALDATUA AKATSIK GABEA DENIK, MERKATURATZEKO EDO XEDE JAKIN BATERAKO EGOKIA DENIK EDO ARAURIK HAUSTEN EZ DUENIK, HORI GUZTIA MUGARIK GABE. DOKUMENTUAREN EDO DOKUMENTUAREN BERTSIO ALDATUAREN KALITATEARI, ZEHAZTASUNARI ETA PERFORMANTZIARI BURUZKO ERANTZUKIZUN OSOA ZUREA DA. DOKUMENTUREN BATEK EDO BERTSIO ALDATUREN BATEK EDOZEIN MOTATAKO AKATSIK IZANEZ GERO, ZUK (EZ HASIERAKO IDAZLEAK, EZ EGILEAK ETA EZ INONGO KOLABORATZAILEK) ZEURE GAIN HARTU BEHARKO DUZU BERRIKUSTEKO, KONPONTZEKO EDO ZUZENTZEKO BEHAR DIREN ZERBITZU GUZTIEN KOSTUA. BERME-UKATZE HAU LIZENTZIA HONEN FUNTSEZKO ZATIA DA. EZ DA BAIMENIK EMATEN EZEIN DOKUMENTU EDO BERTSIO ALDATU ERABILTZEKO, BALDIN ETA EZ BADA BERME-UKATZE HAU ONARTZEN.

2. EZIN IZANGO DA INONGO ZIRKUNSTANTZIARIK EDO LEGE-TEORIARIK OINARRI HARTU --EZ ERANTZUKIZUN ZIBILARI BURUZKORIK (ZABARKERIA BARNE HARTUTA), EZ KONTRATUARI BURUZKORIK, EZ BESTERIK-- DOKUMENTU HONEN EDO BERTSIO ALDATU BATEN EGILEA, HASIERAKO IDAZLEA, EDOZEIN KOLABORATZAILE EDO BANATZAILE, EDO ALDERDI HORIEN EDOZEIN HORNITZAILE BESTE PERTSONA BATEN AURREAN ERANTZULE EGITEKO, PERTSONA HORREK EDOZEIN MOTATAKO KALTEA JASAN DUELAKO (ZUZENEKOA, ZEHARKAKOA, BEREZIA, INTZIDENTALA EDO ONDORIOZKOA), HALA NOLA (ETA MUGARIK GABE) BEZEROAK GALTZEA, LANA ETEN BEHARRA, ORDENAGAILUAK EZ IBILTZEA EDO GAIZKI IBILTZEA, EDO DOKUMENTUA NAHIZ HAREN BERTSIO ALDATUAK ERABILTZETIK ONDORIOZTATZEN DIREN EDO ERABILERA HORREKIN ZERIKUSIA DUTEN KALTEAK EDO GALERAK, ALDERDIARI KALTE HORIEK GERTA ZITEZKEELA ADITZERA EMAN BAZAIO ERE.

Sun
Java Mahaigaineko Sistemaren dokumentazio-taldea
Sun Microsystems Inc.
Glynn
Foster
GNOMEren dokumentazio-proiektua
Nicholas
Curran
GNOMEren dokumentazio-proiektua
Zenity mahaigaineko aplikazioaren eskuliburuaren 2.0 bertsioa
2004ko abuztua

Sun Java Mahaigaineko Sistemaren dokumentazio-taldea

Sun Microsystems Inc.

Zenity-ren eskuliburuaren 1.0 bertsioa
2003ko urtarrila

Glynn Foster

GNOMEren dokumentazio-proiektua

Eskuliburu honetan Zenity-ren 2.6.0 bertsioa azaltzen da.

## Ohar-bidaltzea

Oharrak bidaltzeko, oharrak bidaltzeko orrian aurkituko dituzu argibideak.

Gdialog-en berridazketa da Zenity, hau da, GNOMEren dialog-en bertsioa; komando-lerrotik eta shell script-etik elkarrizketa-koadroak bistaratzeko aukera ematen dizu.

## Sarrera

Zenity aplikazioak elkarrizketa-koadro sinple hauek sortzeko aukera ematen dizu:

- Egutegia

- Fitxategi-hautapena

- Zerrenda

- Jakinarazpenaren ikonoa

- Mezua

  - Errorea

  - Informazioa

  - Galdera

  - Abisua

- Progresio-Barra

- Testu-sarrera

- Testu-informazioa

## Erabilera

Script-ak idazterakoan, Zenity erabil dezakezu erabiltzaileari grafikoki eragiten dioten elkarrizketa-koadro sinpleak sortzeko.

- Erabiltzaileagandik informazioa lortzeko, elkarrizketa-koadro bat sor dezakezu. Esaterako, erabiltzaileari eska diezaiokezu elkarrizketa-koadroko egutegitik data bat aukeratu dezan, edo elkarrizketa-koadroko fitxategi-hautapenetik fitxategi bat hauta dezan.

- Erabiltzaileari informazioa emateko, elkarrizketa-koadro bat sor dezakezu. Esaterako, eragiketa baten egoera adierazteko, elkarrizketa-koadroko progresio-barra erabil dezakezu, edo, erabiltzailea ohartarazteko, elkarrizketa-koadroko abisu bat.

When the user closes the dialog, Zenity prints the text produced by the dialog to standard output.

Zenityren komandoak idaztean, segurtatu argumentu bakoitza komatxo artean jartzen duzula.

Adibidez, erabili:

    zenity -–calendar –title="opor-planifikatzailea"

Ez erabili:

    zenity -–calendar –title=Opor-planifikatzailea

Komatxo artean jartzen ez baduzu, ustekabeko emaitzak lortuko dituzu.

### Tekla bizkortzaileak

Teklatua erabiliz menu bateko edo elkarrizketa-koadro bateko komando bat sagua erabili gabe aukeratzeko modua eskaintzen dizu tekla bizkortzaileak. Menu edo elkarrizketa-koadroetako aukera bakoitzean azpimarratuta dagoen letra da bizkortzailea.

Zenity elkarrizketa-koadroek tekla bizkortzaileen erabilera onartzen dute. Tekla bizkortzaile moduan erabiliko den karakterea zehazteko, jarri azpimarra karakterearen aurretik elkarrizketa-koadroko testuan. Adibide hauetan ikusten da nola zehaztu behar den 'C' letra tekla bizkortzaile gisa:

    "_Aukeratu izen bat".

### Irteera-kodeak

Zenity aplikazioak irteera-kode hauek itzultzen ditu:

Irteera-kodea | Azalpena
--- | ---
`0` | Erabiltzaileak Ados edo Itxi sakatu du.
`1` | Erabiltzaileak Utzi sakatu du edo leihoen funtzioak erabili ditu elkarrizketa-koadroa ixteko.
`-1` | Ustekabeko errorea gertatu da.
`5` | The dialog has been closed because the timeout has been reached.

### Aukera orokorrak

Zenity aplikazioaren elkarrizketa-koadro guztiek aukera orokor hauek onartzen dituzte:

`--title`=titulua

  Elkarrizketa-koadroaren titulua zehazten du.

`--window-icon`=ikonoaren bide-izena

  Elkarrizketa-koadroaren leiho-markoetan bistaratu den ikonoa zehazten du. 4 ikono daude erabilgarri gako-hitz hauek sartuz gero - 'info', 'warning', 'question' eta 'error'.

`--width`=zabalera

  Elkarrizketa-koadroaren zabalera zehazten du.

`--height`=altuera

  Elkarrizketa-koadroaren altuera zehazten du.

`--timeout`=timeout

  Specifies the timeout in seconds after which the dialog is closed.

### Laguntza-aukerak

Zenity aplikazioak laguntza-aukera hauek ematen ditu:

`--help`

  Laguntza-testu murriztua ematen du.

`--help-all`

  Elkarrizketa-koadro guztietarako laguntza-testu osoa bistaratzen du.

`--help-general`

  Elkarrizketa-koadroen aukera orokorretarako laguntza-testua bistaratzen du.

`--help-calendar`

  Egutegiaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-entry`

  Hasierako testuaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-error`

  Erroreen elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-info`

  Informazioaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-file-selection`

  Fitxategi-hautapenaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-list`

  Zerrendaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-notification`

  Jakinarazpen-ikonoaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-progress`

  Progresio-barraren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-question`

  Galderen elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-warning`

  Abisuen elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-text-info`

  Testu-informazioaren elkarrizketa-koadroko aukeretarako laguntza-testua bistaratzen du.

`--help-misc`

  Aukera askotarako laguntza bistaratzen du.

`--help-gtk`

  GTK aukeretarako laguntza bistaratzen du.

### Askotariko aukerak

Zenity aplikazioak askotariko laguntza-aukera hauek ere eskaintzen ditu:

`--about`

  Zenity-ri buruz elkarrizketa-koadroa bistaratzen da eta hau aurkitu dezakezu: Zenity bertsioari buruzko informazioa, copyrightaren informazioa eta garatzaileen informazioa.

`--version`

  Zenityren bertsioaren zenbakia bistaratzen du.

### GTK+ aukerak

Zenity aplikazioak GTKren aukera estandarrak onartzen ditu. GTKren aukerei buruzko informazio gehiago nahi izanez gero, exekutatu `zenity -?` komandoa.

### Environment Variables

Normally, Zenity detects the terminal window from which it was launched and keeps itself above that window. This behavior can be disabled by unsetting the `WINDOWID` environment variable.

## Egutegiaren elkarrizketa-koadroa

Use the `--calendar` option to create a calendar dialog. Zenity returns the selected date to standard output. If no date is specified on the command line, the dialog uses the current date.

Egutegiaren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--text`=testua

  Egutegiaren elkarrizketa-koadroan bistaratu den testua zehazten du.

`--day`=eguna

  Egutegiaren elkarrizketa-koadroan hautatu den eguna zehazten du. egunak 1 eta 31 arteko zenbaki bat izan behar du (bi horiek barne).

`--month`=hilabetea

  Egutegiaren elkarrizketa-koadroan hautatu den hilabetea zehazten du. hilabeteak 1 eta 12 arteko zenbaki bat izan behar du (bi horiek barne).

`--year`=urtea

  Egutegiaren elkarrizketa-koadroan hautatu den urtea zehazten du.

`--date-format`=formatua

  Data hautatu ondoren egutegiaren elkarrizketa-koadroak itzuli duen formatua zehazten du. Formatu lehenetsia ezarpen lokalen araberakoa da. `strftime` funtzioak formatua onartu behar du, `%A %d/%m/%y` esate baterako.

Script-en adibide hauek erakusten dute nola sortu egutegiaren elkarrizketa-koadroa:

            #!/bin/sh

            if zenity --calendar \
            --title="Hautatu data" \
            --text="Egin klik datan data hori hautatzeko." \
            --day=10 --month=8 --year=2004
              then echo $?
              else echo "Ez da datarik hautatu"
            fi

### Egutegiaren elkarrizketa-koadroaren adibidea

Zenity egutegiaren elkarrizketa-koadroaren adibidea

## Fitxategi-hautapenaren elkarrizketa-koadroa

Use the `--file-selection` option to create a file selection dialog. Zenity returns the selected files or directories to standard output. The default mode of the file selection dialog is open.

Fitxategi-hautapenaren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--filename`=fitxategi-izena

  Elkarrizketa-koadroa lehenengoz erakusten denean, fitxategi-hautapenaren elkarrizketa-koadroan hautatutako fitxategia edo direktorioa zehazten du.

`--multiple`

  Fitxategi-hautapenaren elkarrizketa-koadroan era askotako fitxategi-izenak hautatzeko aukera ematen du.

`--directory`

  Fitxategi-hautapenaren elkarrizketa-koadroan dauden direktorioak hautatzea soilik baimentzen du.

`--save`

  Fitxategi-hautapenaren elkarrizketa-koadroa gorde moduan jartzen du.

`--separator`=bereizlea

  Itzulitako fitxategi-izenen zerrenda zatitzeko erabiltzen den katea zehazten du.

Script-en adibide hauek erakusten dute nola sortu fitxategi-hautapenaren elkarrizketa-koadroa:

            #!/bin/sh

            FILE=`zenity --file-selection --title="Hautatu fitxategia"`

            case $? in
                     0)
                            echo "\"$FILE\" hautatua.";;
                     1)
                            echo "Ez da fitxategirik hautatu.";;
                    -1)
                            echo "Ez da fitxategirik hautatu.";;
            esac

### Fitxategi-hautapenaren elkarrizketa-koadroaren adibidea

Zenity fitxategi-hautapenaren elkarrizketa-koadroaren adibidea

## Jakinarazpen-ikonoa

`--text`=testua

  Jakinarazpen-arean bistaratu den testua zehazten du.

Script-en adibide hauek erakusten dute nola sortu jakinarazpen-ikonoa:

            #!/bin/sh

            zenity --notification\
              --window-icon="info" \
              --text="Sistemarentzat beharrezkoak diren eguneratzeak daude"

### Jakinarazpen-ikonoaren adibidea

Zenity jakinarazpen-ikonoaren adibidea

## Zerrendaren elkarrizketa-koadroa

Use the `--list` option to create a list dialog. Zenity returns the entries in the first column of text of selected rows to standard output.

Elkarrizketa-koadroaren datuak zutabez zutabe eta errenkadaz errenkada zehaztu behar dira. Elkarrizketa-koadroak sarrera estandarraren bidez jaso ditzake datuak. Sarrera bakoitza lerro berriko karaktere batekin bereizi behar da.

`--checklist` edo `--radiolist` aukerak erabiltzen badituzu, errenkada bakoitza 'TRUE' edo 'FALSE'-rekin hasi beharko da.

Zerrendaren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--column`=zutabea

  Elkarrizketa-koadroan bistaratzen diren zutabe-goiburuak zehazten ditu. `--column` aukera zehaztu behar duzu elkarrizketa-koadroan bistaratzea nahi duzun zutabe bakoitzarentzat.

`--checklist`

  Zerrendaren elkarrizketa-koadroko lehen zutabeak kontrol-laukiak dituela adierazten du.

`--radiolist`

  Zerrendaren elkarrizketa-koadroko lehen zutabeak aukera-laukiak dituela zehazten du.

`--editable`

  Bistaratutako elementuak editatzeko aukera ematen du.

`--separator`=bereizlea

  Zerrendaren elkarrizketa-koadroak hautatutako sarrerak itzultzen dituenean zer kate erabiltzen den zehazten da.

`--print-column`=zutabea

  Zer zutabe inprimatu behar den zehazten du, hautapenaren arabera. Zutabe lehenetsia '1' da. Zerrendako zutabe guztiak inprimatzeko 'ALL' erabil daiteke.

Script-en adibide hauek erakusten dute nola sortu zerrendaren elkarrizketa-koadroa:

            #!/bin/sh

            zenity --list \
              --title="Aukeratu ikusi nahi dituzun erroreak" \
              --column="Errorearen zenbakia" --column="Larritasuna" --column="Deskribapena" \
                992383 Normala "GtkTreeView hainbat hautapenetan eteten da" \
                293823 Altua "GNOMEren Hiztegiak ez ditu proxy-ak maneiatzen" \
                393823 Kritikoa "Menu editatzailea ez dabil GNOMEren 2.0 bertsioan"

### Zerrendaren elkarrizketa-koadroaren adibidea

Zenity zerrendaren elkarrizketa-koadroaren adibidea

## Mezuaren elkarrizketa-koadroak

Zenity aplikazioak mezuaren lau elkarrizketa-koadro mota sor ditzake.

- Errorea

- Informazioa

- Galdera

- Abisua

Mota bakoitzean, erabili `--text` aukera, elkarrizketa-koadroan bistaratutako testua zehazteko.

### Erroreen elkarrizketa-koadroa

Erabili `--error` aukera, erroreen elkarrizketa-koadroa sortzeko.

Script-en adibide hauek erakusten dute nola sortu erroreen elkarrizketa-koadroa:

              #!/bin/bash

              zenity --error \
              --text="Ezin izan da /var/log/syslog aurkitu."

#### Erroreen elkarrizketa-koadroaren adibidea

Zenity erroreen elkarrizketa-koadroaren adibidea

### Informazioaren elkarrizketa-koadroa

Erabili `--info` aukera, informazioaren elkarrizketa-koadroa sortzeko.

Script-en adibide hauek erakusten dute nola sortu informazioaren elkarrizketa-koadroa:

              #!/bin/bash

              zenity --info \
              --text="Konbinatzen bukatu da. 10 fitxategitatik 3 eguneratuak."

#### Informazioaren elkarrizketa-koadroaren adibidea

Zenity informazioaren elkarrizketa-koadroaren adibidea

### Galderen elkarrizketa-koadroa

Erabili `--galdera` aukera, galderen elkarrizketa-koadroa sortzeko.

Script-en adibide hauek erakusten dute nola sortu galderen elkarrizketa-koadroa:

              #!/bin/bash

              zenity --question \
              --text="Ziur al zaude aurrera egin nahi duzula?"

#### Galderen elkarrizketa-koadroaren adibidea

Zenity galderen elkarrizketa-koadroaren adibidea

### Abisuen elkarrizketa-koadroa

Erabili `--warning` aukera, abisuen elkarrizketa-koadroa sortzeko.

Script-en adibide hauek erakusten dute nola sortu abisuen elkarrizketa-koadroa:

              #!/bin/bash

              zenity --warning \
              --text="Deskonektatu elektrizitate-kablea deskarga elektrikoa saihesteko."

#### Abisuen elkarrizketa-koadroa

Zenity abisuen elkarrizketa-koadroaren adibidea

## Progresioaren elkarrizketa-koadroa

Erabili `--progress` aukera, progresioaren elkarrizketa-koadroa sortzeko.

Zenity aplikazioak errenkadaz errenkada irakurtzen ditu sarrera estandarreko datuak. Errenkada bat aurrez #rekin finkatzen bada, testua errenkada horretako testuarekin eguneratzen da. Errenkada batek zenbaki bakar bat soilik badu, ehunekoa zenbaki horrekin eguneratzen da.

Progresioaren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--text`=testua

  Progresioaren elkarrizketa-koadroan bistaratu den testua zehazten du.

`--percentage`=ehunekoa

  Progresioaren elkarrizketa-koadroan finkatu den hasierako ehunekoa zehazten du.

`--auto-close`

  % 100a lortu denean, progresioaren elkarrizketa-koadroa ixten du.

`--pulsate`

  Progresio-barra pultsuka luzatzen da sarrera estandarrean EOF karaktere bat irakurri arte.

Script-en adibide hauek erakusten dute nola sortu progresioaren elkarrizketa-koadroa:

            #!/bin/sh
            (
            echo "10" ; sleep 1
            echo "# Posta-egunkariak eguneratzen" ; sleep 1
            echo "20" ; sleep 1
            echo "# Cron eragiketak berrezartzen" ; sleep 1
            echo "50" ; sleep 1
            echo "Errenkada honi ezikusi egingo zaio" ; sleep 1
            echo "75" ; sleep 1
            echo "# Sistema berrabiarazten" ; sleep 1
            echo "100" ; sleep 1
            ) |
            zenity --progress \
              --title="Sistemako egunkari-fitxategiak eguneratu" \
              --text="Posta-egunkariak eskaneatzen..." \
              --percentage=0

            if [ "$?" = -1 ] ; then
                    zenity --error \
                      --text="Eguneratzea bertan behera utzi da."
            fi

### Progresioaren elkarrizketa-koadroaren adibidea

Zenity progresioaren elkarrizketa-koadroaren adibidea

## Testu-sarreraren elkarrizketa-koadroa

Use the `-entry` option to create a text entry dialog. Zenity returns the contents of the text entry to standard output.

Testu-sarreraren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--text`=testua

  Testu-sarreraren elkarrizketa-koadroan bistaratu den testua zehazten du.

`--entry-text`=testua

  Testu-sarreraren elkarrizketa-koadroko sarrera-eremuan bistaratu den testua zehazten du.

`--hide-text`

  Testu-sarreraren elkarrizketa-koadroko sarrera-eremuan dagoen testua ezkutatzen du

Script-en adibide hauek erakusten dute nola sortu testu-sarreraren elkarrizketa-koadroa:

            #!/bin/sh

            if zenity --entry \
            --title="Gehitu sarrera" \
            --text="Sartu pasahitza:" \
            --entry-text "pasahitza" \
            --hide-text
              then echo $?
              else echo "Ez da pasahitza sartu"
            fi

### Testu-sarreraren elkarrizketa-koadroaren adibidea

Zenity testu-sarreraren elkarrizketa-koadroaren adibidea

## Testu-informazioaren elkarrizketa-koadroa

Erabili `--text-info` aukera, testu-informazioaren elkarrizketa-koadroa sortzeko.

Testu-informazioaren elkarrizketa-koadroak aukera hauek onartzen ditu:

`--filename`=fitxategi-izena

  Testu-informazioaren elkarrizketa-koadroan kargaturiko fitxategia zehazten du.

`--editable`

  Allows the displayed text to be edited. The edited text is returned to standard output when the dialog is closed.

Script-en adibide hauek erakusten dute nola sortu testu-informazioaren elkarrizketa-koadroa:

            #!/bin/sh

            FILE=`zenity --file-selection \
              --title="Hautatu fitxategi bat"`

            case $? in
                     0)
                            zenity --text-info \
                              --title=$FILE \
                              --filename=$FILE \
                              --editable 2>/tmp/tmp.txt;;
                     1)
                            echo "Ez da fitxategirik hautatu.";;
                    -1)
                            echo "Ez da fitxategirik hautatu.";;
            esac

### Testu-informazioaren elkarrizketa-koadroaren adibidea

Zenity testu-informazioaren elkarrizketa-koadroaren adibidea